Summary:	GeoIP database files for xt_geoip
Name:		xtables-geoip
Version:	20120808
Release:	1
License:	GPL, Open Data License
Group:		Networking/Admin
URL:		http://www.maxmind.com/
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoIPCountryCSV.zip
# Source0-md5:	65f96d32d1aa83c4ceadfc98b778cddf
Source1:	http://geolite.maxmind.com/download/geoip/database/GeoIPv6.csv.gz
# Source1-md5:	d6e2e96ab35dffd82dd4d64d9e82af9b
Source2:	http://geolite.maxmind.com/download/geoip/database/LICENSE.txt
# Source2-md5:	a1381bd1aa0a0c91dc31b3f1e847cf4a
Source3:	http://xtables-addons.git.sourceforge.net/git/gitweb.cgi?p=xtables-addons/xtables-addons;a=blob_plain;f=geoip/xt_geoip_build
# Source3-md5:	76c6959bad03c1ff064aefcb4811cd92
BuildRequires:	perl-Text-CSV_XS >= 0.69
BuildRequires:	perl-base
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dbdir	/usr/share/xt_geoip

# no debuginfo to package
%define		_enable_debug_packages	0

%ifarch ppc sparc ppc64 sparc64 sparcv9
%define		byteorder	BE
%else
%define		byteorder	LE
%endif

%description
The package contains the GeoIP definition files (which IP addresses
belong to which country) that are needed for Xtables-addons's xt_geoip
module.

%prep
%setup -qc
gunzip -c %{SOURCE1} > GeoIPv6.csv
touch -r %{SOURCE1} GeoIPv6.csv

ver4=$(stat -c '%y' GeoIPCountryWhois.csv | awk '{print $1}' | tr -d -)
ver6=$(stat -c '%y' GeoIPv6.csv | awk '{print $1}' | tr -d -)
if [ "$ver4" -gt "$ver6" ]; then
	ver=$ver4
else
	ver=$ver6
fi
if [ "$ver" != %{version} ]; then
	exit 1
fi

cp -p %{SOURCE2} .

%build
%{__perl} %{SOURCE3} GeoIPCountryWhois.csv GeoIPv6.csv | tee ranges.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{dbdir}
cp -a %{byteorder} $RPM_BUILD_ROOT%{dbdir}

%if "%{pld_release}" == "ac"
# handle older xtables in ac:
# kernel-net-xtables-addons-1.18-15@2.6.27.53_1.amd64
# still having old .iv0 names requirement
# http://xtables-addons.git.sourceforge.net/git/gitweb.cgi?p=xtables-addons/xtables-addons;a=commitdiff;h=25bf680ead80e505d5073308f151b4007cb5683f
# create hardlink, to be most compatible
for a in $RPM_BUILD_ROOT%{dbdir}/%{byteorder}/*.iv4; do
	ln $a ${a%.iv4}.iv0
done
# kernel-net-xtables-addons-1.18-8@2.6.27.45_1.i686  searches from /var/lib:
# Could not open /var/lib/geoip/LE/EE.iv0: No such file or directory
install -d $RPM_BUILD_ROOT/var/lib
ln -s %{_datadir}/xt_geoip $RPM_BUILD_ROOT/var/lib/geoip
%endif

%if "%{pld_release}" == "ac"
%pretrans
# this needs to be a symlink
if [ -d /var/lib/geoip -a ! -L /var/lib/geoip ]; then
	mv -f /var/lib/geoip{,.rpmsave}
	install -d %{dbdir}
	ln -s %{dbdir} /var/lib/geoip
fi
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt ranges.txt
%dir %{dbdir}
%{dbdir}/%{byteorder}

%if "%{pld_release}" == "ac"
/var/lib/geoip
%endif
%changelog
* Sun Aug 12 2012 Elan Ruusamäe <glen@delfi.ee> 22f072b
- up to 20120808

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 265eb7e
up to 20120706 (ipv6 updated)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 68978fa
xt_geoip_build update (bogus -b option comment removed)

* Wed Jul 04 2012 Elan Ruusamäe <glen@pld-linux.org> f698893
- up to 20120704

* Mon May 14 2012 Elan Ruusamäe <glen@pld-linux.org> 0f94688
- do not just discard dir, convert it to full symlink, or stupid rpm will remove files from NEW package that were present in OLD package, i.e the compat .iv0 files!

* Mon May 14 2012 Elan Ruusamäe <glen@pld-linux.org> 68d2216
- dir vs symlink fun

* Wed May 09 2012 Elan Ruusamäe <glen@pld-linux.org> de265bf
- up to 20120501

* Wed May 02 2012 Elan Ruusamäe <glen@pld-linux.org> bc09a2c
- /var/lib/geoip compat link for ac older kernels

* Fri Apr 06 2012 Elan Ruusamäe <glen@pld-linux.org> f27835a
- up to 2012-04 release

* Fri Apr 06 2012 Elan Ruusamäe <glen@pld-linux.org> 2ec6929
- compat for older xtables

* Fri Jan 06 2012 Elan Ruusamäe <glen@pld-linux.org> 3ebdec2
- up to 20120104

* Tue Nov 15 2011 Elan Ruusamäe <glen@pld-linux.org> 771540e
- up to 20111102

* Tue Aug 09 2011 Elan Ruusamäe <glen@pld-linux.org> a29328a
- cosmetics

* Tue Aug 09 2011 Elan Ruusamäe <glen@pld-linux.org> 6bc81f8
- up to 20110805

* Tue Apr 26 2011 Jan Rękorajski <baggins@pld-linux.org> a5459e8
- rel 2
- both byteorders are always built

* Wed Apr 20 2011 Jan Rękorajski <baggins@pld-linux.org> a24c8ed
- 20110404
- added IPv6 database

* Thu Feb 10 2011 Elan Ruusamäe <glen@pld-linux.org> 1695310
- up to 2011.02.02

* Sun Jan 09 2011 Elan Ruusamäe <glen@pld-linux.org> 536fa7f
- fix bigendian build

* Sun Jan 09 2011 Elan Ruusamäe <glen@pld-linux.org> 069a8ef
- 20110103

* Sun Dec 05 2010 Elan Ruusamäe <glen@pld-linux.org> 5bf3f42
- up to 20101204

